/* gs-extract.h */

#ifndef _h_extract
#define _h_extract

#include "gs-struct.h"

xtnode *NewExtractInfo(	char *sofar,	logr *r,	treebranch *br);
xtnode *NewExtract(	vhost *vh,	char *dir,	int lev);
int get_xt_list(	vhost *vh,	char *dir,	int lev);
xtnode *wantExtract(	vhost *vh,	char *dir);
void ShowIgnoredExtract(vhost *vhostlist, int dtrlevels);
int mkExtractFile(	vhost *vh,	char *dir,	xtnode *xtlik);
void censor(		char *newaddress,		char *address);
void WriteExtract(	logr *r,	xtnode *xtlik);
void FlushExtractBuffer(vhost *vh,	xtnode *xtlik);
void CompressExtractFiles(vhost *vh);

#endif
